package com.ruoyi.szxc.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.szxc.domain.SzxcCsEmplyees;
import com.ruoyi.szxc.mapper.SzxcCsEmplyeesMapper;
import com.ruoyi.szxc.service.ISzxcCsEmplyeesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 场所员工Service业务层处理
 * 
 * @author hs
 * @date 2024-03-28
 */
@Service
public class SzxcCsEmplyeesServiceImpl implements ISzxcCsEmplyeesService 
{
    @Autowired
    private SzxcCsEmplyeesMapper szxcCsEmplyeesMapper;

    /**
     * 查询场所员工
     * 
     * @param id 场所员工主键
     * @return 场所员工
     */
    @Override
    public SzxcCsEmplyees selectSzxcCsEmplyeesById(Long id)
    {
        return szxcCsEmplyeesMapper.selectSzxcCsEmplyeesById(id);
    }

    /**
     * 查询场所员工列表
     * 
     * @param szxcCsEmplyees 场所员工
     * @return 场所员工
     */
    @Override
    public List<SzxcCsEmplyees> selectSzxcCsEmplyeesList(SzxcCsEmplyees szxcCsEmplyees)
    {
        return szxcCsEmplyeesMapper.selectSzxcCsEmplyeesList(szxcCsEmplyees);
    }

    /**
     * 新增场所员工
     * 
     * @param szxcCsEmplyees 场所员工
     * @return 结果
     */
    @Override
    public int insertSzxcCsEmplyees(SzxcCsEmplyees szxcCsEmplyees)
    {
        szxcCsEmplyees.setCreateTime(DateUtils.getNowDate());
        return szxcCsEmplyeesMapper.insertSzxcCsEmplyees(szxcCsEmplyees);
    }

    /**
     * 修改场所员工
     * 
     * @param szxcCsEmplyees 场所员工
     * @return 结果
     */
    @Override
    public int updateSzxcCsEmplyees(SzxcCsEmplyees szxcCsEmplyees)
    {
        szxcCsEmplyees.setUpdateTime(DateUtils.getNowDate());
        return szxcCsEmplyeesMapper.updateSzxcCsEmplyees(szxcCsEmplyees);
    }

    /**
     * 批量删除场所员工
     * 
     * @param ids 需要删除的场所员工主键
     * @return 结果
     */
    @Override
    public int deleteSzxcCsEmplyeesByIds(Long[] ids)
    {
        return szxcCsEmplyeesMapper.deleteSzxcCsEmplyeesByIds(ids);
    }

    /**
     * 删除场所员工信息
     * 
     * @param id 场所员工主键
     * @return 结果
     */
    @Override
    public int deleteSzxcCsEmplyeesById(Long id)
    {
        return szxcCsEmplyeesMapper.deleteSzxcCsEmplyeesById(id);
    }
}
